story4ppw/urls.py
from django.contrib import admin
from django.urls import path, include


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('alifahfatimah.urls')),
    path('story6/', include('story6.urls'), name="story6"),
    path('story7/', include('story7.urls'), name="story7"),
    path('story8/', include('story8.urls'), name="story8"),
    path('story9/', include('story9.urls'), name="story9"),



]

story6/urls.py
from django.urls import path, include

from story6 import views

app_name = 'story6'
urlpatterns = [
    path('activities', views.activities, name='activities'),
    path('addnew', views.addnew, name='addnew'),
    path('listActivity', views.listActivity, name='listActivity'),
    path('register/<int:keg_id>/', views.register, name='register'),
    path('delete/<int:delete_id>/', views.deleteUser, name='delete'),
]

story6/models.py
from django.db import models

# Create your models here.
class Kegiatan(models.Model):
    nama_kegiatan = models.CharField(max_length=100)
    deskripsi_kegiatan = models.CharField(max_length=1000)
    def __str__(self):
        return self.nama_kegiatan
        
class Orang(models.Model):
    nama_orang = models.CharField(max_length=64)
    kegiatan = models.ForeignKey(Kegiatan,
                                 on_delete=models.CASCADE, null=True, blank=True)
    def __str__(self):
        return self.nama_orang

story6/forms.py
from django import forms


class FormKegiatan(forms.Form):
    nama_kegiatan = forms.CharField(
        label="Nama kegiatan",
        max_length=100,
        widget=forms.TextInput(
            attrs={
                'class': 'form-control',
            }
        )
    )

class FormOrang(forms.Form):
    nama_orang = forms.CharField(
        label="Name",
        max_length=64,
        widget=forms.TextInput(
            attrs={
                'class': 'form-control',
            }
        )
    )

story6/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse
from .forms import FormKegiatan, FormOrang
from .models import Kegiatan, Orang 
from story6 import forms

# Create your views here.
# def index(request):
#     return render(request, 'index.html')

def activities(request):
    return render(request, 'activities.html')


def addnew(request):
    form_kegiatan = forms.FormKegiatan(request.POST or None)
    if request.method == 'POST':
        if form_kegiatan.is_valid():
            data = form_kegiatan.cleaned_data
            kegiatan_input = Kegiatan()
            kegiatan_input.nama_kegiatan = data['nama_kegiatan']
            kegiatan_input.save()
            return redirect('story6:listActivity')
        else:
            current_data = Kegiatan.objects.all().values()
            return render(request, 'addnew.html',{'form':form_kegiatan, 'status':'failed','data':current_data})
    else:
        current_data = Kegiatan.objects.all()
        return render(request, 'addnew.html',{'form':form_kegiatan,'data':current_data})

def register(request, keg_id):
    form_orang = forms.FormOrang(request.POST or None)
    if request.method == 'POST':
        if form_orang.is_valid():
            data = form_orang.cleaned_data
            orangBaru = Orang()
            orangBaru.nama_orang = data['nama_orang']
            orangBaru.kegiatan = Kegiatan.objects.get(id=keg_id)
            orangBaru.save()
            print(data)
            return redirect('story6:listActivity')
        else:
            return render(request, 'register.html', {'form': form_orang, 'status': 'failed'})
    else:
        return render(request, 'register.html', {'form': form_orang})


def listActivity(request):
    kegiatan = Kegiatan.objects.all().values()
    orang = Orang.objects.all().values()
    print(orang)
    return render(request, 'list.html', {'kegiatan': kegiatan, 'orang': orang})


def deleteUser(request, delete_id):
    # if request.method == "POST"
    orang_to_delete = Orang.objects.get(id=delete_id)
    orang_to_delete.delete()
    # return render(request, 'story6/listActivity.html', {'kegiatan': kegiatan, 'orang': orang})
    return redirect('story6:listActivity')

story6/templates/activities.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
	  <div class="hero-wrap js-fullheight">
      <div class="overlay"></div>
      <div class="container">
        <div class="row no-gutters slider-text js-fullheight justify-content-center align-items-center">
          <div class="col-lg-10 ftco-animate d-flex align-items-center">
          	<div class="text text-center">
          		<h1 class="mb-3 bread">Add Activities</h1>
	            <p class="breadcrumbs"><span class="mr-2"><a href="{% url 'story6:addnew' %}">Add Activities<i class="ion-ios-arrow-forward"></i></a></span> <span><a href="{% url 'story6:listActivity' %}">See List</a></span></p>
            </div>
          </div>
        </div>
      </div>
    </div>
		
		

    {% endblock %}

story6/templates/addnew.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
	  <div class="hero-wrap js-fullheight">
      <div class="overlay"></div>
      <div class="container">
        <div class="row no-gutters slider-text js-fullheight justify-content-center align-items-center">
          <div class="col-lg-10 ftco-animate d-flex align-items-center">
          	<div class="text text-center">
          		<h1 class="mb-3 bread">Add New Activity!</h1>
                <p class="breadcrumbs"><span class="mr-2"><a href="{% url 'index' %}">Home <i class="ion-ios-arrow-forward"></i></a></span> <span><a href="{% url 'story6:listActivity' %}">See List</a>  </span></p>
            </div>
          </div>
        </div>
      </div>
    </div>
		
    <section class="ftco-section" id="blog-section">
        <div class="container">
          <div class="row justify-content-center mb-5 pb-5">
            <div class="col-md-7 heading-section text-center ftco-animate">
              <h1 class="big big-2">Add</h1>
              <h2 class="mb-4">Add Activity!</h2>
              <p> "Time is the most valuable thing a man can spend." – Theophrastus. </p>
            </div>
          </div>
    <form method="POST" class="bg-light p-4 p-md-5 contact-form">
      {% csrf_token %}
      <div class="form-group">
        {{form.nama_kegiatan.label_tag}}
        {{form.nama_kegiatan}}
      </div>
      <div class="form-group">
          <a> 
        <input type="submit" class="btn btn-primary py-3 px-5">
      </a>
      </div>
      </form>
    </div>
  </div>
</div>
</section>


    {% endblock %}

story6/templates/list.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
	  <div class="hero-wrap js-fullheight">
      <div class="overlay"></div>
      <div class="container">
        <div class="row no-gutters slider-text js-fullheight justify-content-center align-items-center">
          <div class="col-lg-10 ftco-animate d-flex align-items-center">
          	<div class="text text-center">
          		<h1 class="mb-3 bread">Activity List</h1>
	            <p class="breadcrumbs"><span class="mr-2"><a href="{% url 'index' %}">Home <i class="ion-ios-arrow-forward"></i></a></span> <span><a href="{% url 'story6:addnew' %}">Add Activity</a> </span></p>
            </div>
          </div>
        </div>
      </div>
    </div>

    <section class="ftco-section" id="blog-section">
        <div class="container">
          <div class="row justify-content-center mb-5 pb-5">
            <div class="col-md-7 heading-section text-center ftco-animate">
              <h1 class="big big-2">List</h1>
              <h2 class="mb-4">Your List!</h2>
              <p> "The key is in not spending time, but in investing it." – Stephen R. Covey.</p>
            </div>
          </div>
          <div style="font-family: Poppins" class="row w-100 justify-content-center">
            {% for x in kegiatan %}
            <div class="col-4 m-4 p-4 rounded border">
                <ul class="list-group">
                    <li class="list-group-item list-group-item-secondary"> <b> {{ x.nama_kegiatan }} </b> </li>
    
                    {% for y in orang %}
                    {% if y.kegiatan_id == x.id %}
                    <li class="list-group-item">
                        <div class="d-flex justify-content-between">
                            {{ y.nama_orang }}
                            <button class="btn bt-primar"x>
                                <a href="{% url 'story6:delete' delete_id=y.id %}#blog-section">x</a>
                            </button>
    
                        </div>
                    </li>
                    {% endif %}
                    {% endfor %}
                </ul>
    
                <div style="font-size: .75em;" class="section-title mx-auto text-center my-3">
    
                    <a href="{%url 'story6:register' keg_id=x.id%}" class="btnMatkul">
                        <button class="btn btn-primary"> Register Yourself!</button>
                    </a>
                </div>
            </div>
            {% endfor %}
        </div>
    
          </div>
        </div>
      </section>


    {% endblock %}

story6/templates/register.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
	  <div class="hero-wrap js-fullheight">
      <div class="overlay"></div>
      <div class="container">
        <div class="row no-gutters slider-text js-fullheight justify-content-center align-items-center">
          <div class="col-lg-10 ftco-animate d-flex align-items-center">
          	<div class="text text-center">
          		<h1 class="mb-3 bread">Join In!</h1>
                <p class="breadcrumbs"><span class="mr-2"><a href="{% url 'index' %}">Home <i class="ion-ios-arrow-forward"></i></a></span> <span><a href="{% url 'story6:listActivity' %}">See List</a>  </span></p>
            </div>
          </div>
        </div>
      </div>
    </div>
		
    <section class="ftco-section" id="blog-section">
        <div class="container">
          <div class="row justify-content-center mb-5 pb-5">
            <div class="col-md-7 heading-section text-center ftco-animate">
              <h1 class="big big-2">Add</h1>
              <h2 class="mb-4">Add Activity!</h2>
              <p> "Time is the most valuable thing a man can spend." – Theophrastus. </p>
            </div>
          </div>
          <form method="POST">
            {% csrf_token %}
            <div class="form-group">
                <div>
                    {{form.nama_orang.label_tag}}
                </div>
                {{form.nama_orang}}
            </div>
            <a>
                <button  class="btn btn-primary" type="submit">Ikutan!</button>
            </a>
        </form>
    </div>
  </div>
</div>
</section>


    {% endblock %}